Pterodactyldocs
Client account

Enable 2FA

Enables TOTP 2FA using the QR code generated by the GET request

Uses code generated from GET /account/two-factor

POST/api/client/account/two-factor

Authorization

ClientToken
AuthorizationBearer <token>

Client API key (generated at /account/api)

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/api/client/account/two-factor" \  -H "Content-Type: application/json" \  -d '{    "code": "505134"  }'
{  "object": "recovery_tokens",  "attributes": {    "tokens": [      "MpBjHH8O08",      "D9H0hktN6L",      "ho8KiUpeV8",      "06vZEfrYPf",      "nFRySZ2ryh",      "7K1cTrhGoV",      "n6xpwwlJfv",      "hAmyCsZxYO",      "5FiMKFyNpH",      "IViSFoRFvW"    ]  }}